Skip to main content

Announcements by Date Range

Retrieve announcements within a specified date range.

GET/3.0/announcements/date-range

Description

This endpoint retrieves corporate announcements filtered by a specified date range. Useful for analyzing announcements during specific periods and understanding corporate activity timelines.

Request

Authentication

  • Type: Bearer Token
  • Required: Yes

Parameters

NameTypeRequiredDescriptionExample
date_fromstringYesStart date filter (YYYY-MM-DD)2024-01-01
date_tostringYesEnd date filter (YYYY-MM-DD)2024-12-31
offsetintegerNoPagination offset for results0

Response

Success Response (200)

{
"status": "ok",
"offset": 0,
"count": 50,
"total": 9733,
"data": [
{
"id": "256580",
"status": 1,
"category": "E",
"sector_code": "",
"form_type": "PSX_NOTICE",
"symbol": "EXCHANGE",
"title": "FOR ALL MARKET PARTICIPANTS - PRIMARY MARKET AUCTION OF GOP IJARAH SUKUK (GIS)",
"quarter": "",
"date": "2025-07-17T12:22:31Z",
"last_action": "2025-07-17T12:22:54Z",
"is_revised": false,
"pdf": "",
"docs": [
"256580-1.pdf"
],
"images": null,
"period_ended": null,
"meeting": null,
"results": null,
"payouts": {
"book_closure_from": "",
"book_closure_to": "",
"entitlement_date": "",
"ex_date": "",
"dividend": 0,
"bonus": 0,
"right_price": 0,
"right_issue": 0,
"split_num": 0,
"split_den": 0,
"rsplit_num": 0,
"rsplit_den": 0,
"sdiv_num": 0,
"sdiv_den": 0
}
}
]
}

Response Fields

Data Array Fields

FieldTypeDescription
idstringUnique notice identifier
statusintegerNotice status
categorystringNotice category. See Notice Categories for possible values.
sector_codestringCompany sector classification code
form_typestringForm type designation. See Form Types for possible values.
symbolstringStock symbol/ticker code
titlestringNotice title or announcement headline
quarterstringQuarter designation if applicable
datestringNotice publication date (ISO 8601 format)
last_actionstringTimestamp of last update/action (ISO 8601 format)
is_revisedbooleanWhether the notice has been revised
pdfstringPrimary PDF document filename
docsarrayArray of document filenames
imagesarrayArray of image filenames (if any)
period_endedstringPeriod end date if applicable
meetingobjectMeeting details if applicable View
resultsobjectFinancial results details if applicable View
payoutsobjectPayout details including dividends and bonus View

Meeting Object Fields

FieldTypeDescription
datestringMeeting date (YYYY-MM-DD format)
timestringMeeting time
locationstringMeeting location/venue
agendastringMeeting agenda details
accounts_endedstringAccounts period end (Annual or Quarterly)
revised_datestring | nullRevised meeting date (if any)
revised_timestring | nullRevised meeting time (if any)

Results Object Fields

FieldTypeDescription
epsnumberEarnings per share for the period
eps_splynumberEPS for same period last year
salesnumberSales/revenue amount
patnumberProfit after tax amount

Payouts Object Fields

FieldTypeDescription
book_closure_fromstringBook closure start date
book_closure_tostringBook closure end date
entitlement_datestringEntitlement date for dividend/bonus
ex_datestringEx-dividend/ex-bonus date
dividendnumberDividend amount per share
bonusnumberBonus ratio (bonus shares)
right_pricenumberRights issue price
right_issuenumberRights issue ratio
split_numnumberStock split numerator
split_dennumberStock split denominator
rsplit_numnumberReverse split numerator
rsplit_dennumberReverse split denominator
sdiv_numnumberSpecie dividend numerator
sdiv_dennumberSpecie dividend denominator

Notice Categories

CodeDescription
ACDC Notices
BSECP Notices
CCompany Notices
DNCCPL Notices
EExchange Notices

Form Types

CodeDescription
BMV1001Board Meeting
MIV1025Material Information
BMRV1001Board Meeting Rescheduled
BMOTFRV1001Board Meeting Other Than Financial Results
BMIPV1001Board Meeting in Progress
FRV1007Quarterly Financials
AGMV1002Approval of Date and Time for Holding the Annual General Meeting
NAGMV1004Notice for Annual General Meeting
AETAGMV1012Approval of Extension in Time for Holding the Annual General Meeting / Annual Review Meeting for the Year
FRYEV1003Annual Financials
DARYEV1005Dispatch of Annual Report
MAGMV1006Minutes of AGM
MAGMV10061Minutes of EOGM
DQAV1008Dispatch of Quarterly Report
DIDWV1009Dispatch of Interim Dividend Warrants
DFDWV1010Dispatch of Final Dividend Warrants
DBSCV1011Dispatch of Bonus Certificate
CBSCV10111Credit of Bonus Certificate
ETAGMV1012Extension of Time for Holding AGM
DICBOCV1013Declaration of Interim Payouts
DRSV1014Declaration of Right Shares
DLRV1015Dispatch of Letters of Rights
SRIV1016Credit / Delivery of Shares - Right Issue
NEGMV1017Notice of Extra Ordinary General Meeting
CCIV1018Change of Company Information
NAPV1019Appointment of Chairman / CEO / MD / Company Secretary
COPV1020Change of Chairman / CEO / MD / Director / Company Secretary
COMV1021Change of Management
SHOLDV001List of Shareholders
LCERTV001Loss of Certificates
FFSV001Free Float of Shares
INTDISC001Interest Disclosure in Shares of Company
MISV001Miscellaneous Information
PSX_NOTICEPSX Exchange Notice

Error Responses

For detailed Common Error responses, see the Error Handling.

Missing Parameters (200)

{
"status": "error",
"message": "no `date_from` and `date_to` provided"
}

Examples

Get Announcements in Date Range

curl -X GET "https://csapis.com/3.0/announcements/date-range?date_from=2024-01-01&date_to=2024-12-31" \
-H "Authorization: Bearer YOUR_API_TOKEN"

Use Cases

  • Period Analysis: Analyze announcements in specific periods
  • Historical Review: Review corporate activity in a time period
  • Timeline Construction: Build corporate action timelines
  • Event History: Track announcement history
  • Quarterly Analysis: Analyze announcements by quarter
  • Annual Review: Review all announcements in a fiscal year